### Signal

# Shumate Viewport::changed

since: 1.6

#### Declaration

    void
    changed (
      ShumateViewport* self,
      gpointer user_data
    )

#### Description [src]

Emitted when the viewport position (location, zoom, rotation, etc.) changes. Changes to multiple properties at once may be combined into a single signal emission.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.6